function init_components_page(input){


	input.component_autocomplete('page',{
		skin: function(item){
			var html = '';
			var re = new RegExp(input.val(),"gi");

			var label = item.label.replace(re, function (x) {
				return '<strong>'+x+'</strong>';
			});

			html += '<div class="media">';
			html += '<h5 class="mt-1"><i class="'+item.icon+'"></i> <span>'+label+'</span></h5>';
			html +='<small>'+item.url+'</small></div>';
			html += '<div class="clear"></div>';
			html += '</div>'



			return html;
		},
		onClick: function(selected,element){
			container = input.data("data-component");
			input.val(selected.id);
			var label = selected.label;
			if(selected.parentLabel) label +=' ('+selected.parentLabel+')';
			container.val(label);
			input.trigger('click').trigger('change');
		},
		onLoad: function(component,item){
			var label = item.label;

			if(item.parent) label+=' ('+item.parent.label+')';
			component.container.val(label);
		}
	});

}